
QGIS Application - Bug report #473

crash when opening a project

2006-12-19 06:21 AM - Redmine Admin

Status: Closed

Priority: Low

Assignee: nobody -

Category: Project Loading/Saving

Affected QGIS version: Regression?: No

Operating System: Debian Easy fix?: No

Pull Request or Patch supplied: Resolution: worksforme

Crashes QGIS or corrupts data: Copied to github as #: 10532

Description

While loading a project, the latest qgis crashes:

Debug: qgsproject.cpp:1065 5 properties read

Debug: current properties:

Debug: name: properties

Debug:  key: <SpatialRefSys>  subkey: <SpatialRefSys>

Debug:          name: [[SpatialRefSys]]

Debug:                  key: <ProjectSRSProj4String>  value:

+proj=tmerc +lat_0=0 +lon_0=9 +k=0.999600 +x_0=1500000 +y_0=0

+ellps=intl +units=m +towgs84=-104.1,-49.1,-9.9,0.971,-2.917,0.714,-11.68

Debug:                  key: <ProjectionsEnabled>  value: 0

Debug:                  key: <ProjectSRSID>  value: 100000

Debug:  key: <Compositions>  subkey: <Compositions>

Debug:          name: Compositions

Debug:                  key: <composition_1>  subkey: <composition_1>

Debug:                          name: composition_1

Debug:                                  key: <width>  value: 297

Debug:                                  key: <height>  value: 420

Debug:                                  key: <map_1>  subkey: <map_1>

Debug:                                          name: map_1

Debug:                                                  key: <width>

value: 290

Debug:                                                  key: <west>

value: 1642464.22358776

Debug:                                                  key: <fontscale>

 value: 1

Debug:                                                  key: <x>  value: 3

Debug:                                                  key: <y>  value: 3

Debug:                                                  key: <calculate>

 value: scale

Debug:                                                  key: <scale>

value: 10446.6798556688

Debug:                                                  key: <height>

value: 414

Debug:                                                  key: <south>

value: 4821062.78963389

Debug:                                                  key: <frame>

value: true
Debug:                                                  key:

<widthscale>  value: 1

Debug:                                                  key:

<symbolscale>  value: 0.5

Debug:                                                  key:

  value: 0

Debug:                                                  key: <east>

value: 1645493.7607459

Debug:                                                  key: <north>

value: 4823882.24939786

Debug:                                  key: <orientation>  value: portrait

Debug:                                  key: <resolution>  value: 300

Debug:  key: <Gui>  subkey: <Gui>

Debug:          name: Gui

Debug:                  key: <SelectionColorBluePart>  value: 0

Debug:                  key: <SelectionColorGreenPart>  value: 255

Debug:                  key: <SelectionColorRedPart>  value: 255

Debug:                  key: <CanvasColorBluePart>  value: 255

Debug:                  key: <CanvasColorRedPart>  value: 255

Debug:                  key: <CanvasColorGreenPart>  value: 255

Debug:  key: <PositionPrecision>  subkey: <PositionPrecision>

Debug:          name: [[PositionPrecision]]

Debug:                  key: <DecimalPlaces>  value: 2

Debug:                  key: <Automatic>  value: true

Debug:  key: <Digitizing>  subkey: <Digitizing>

Debug:          name: Digitizing

Debug:                  key: <Tolerance>  value: 10

Debug:                  key: <LineWidth>  value: 1

Debug:                  key: <LineColorGreenPart>  value: 0

Debug:                  key: <LineColorBluePart>  value: 0

Debug:                  key: <LineColorRedPart>  value: 255

Debug: qgsproject.cpp : 680  unable to find title element

Warning: [[QgsSpatialRefSys]]::getRecord failed :  select * from tbl_srs

where parameters='+proj=tmerc +lat_0=0 +lon_0=9 +k=0.999600 +x_0=1500000

+y_0=0

+ellps=intl +units=m +towgs84=-104.1,-49.1,-9.9,0.971,-2.917,0.714,-11.68'

qgsrasterlayer.cpp:4605 Setting gray band to : 0x810456a

qgsrasterlayer.cpp:4605 Setting gray band to : 0x81b243a

qgsrasterlayer.cpp:4605 Setting gray band to : 0x858a442

ERROR 5: Access window out of range in [[RasterIO]]().  Requested

(6840,5093) of size 441x1067 on raster of 7280x6160.

qgsrasterlayer.cpp:4605 Setting gray band to : 0x882164a

ERROR 5: Access window out of range in [[RasterIO]]().  Requested

(6840,5093) of size 441x1067 on raster of 7280x6160.

ERROR 5: Access window out of range in [[RasterIO]]().  Requested

(120,5213) of size 7201x907 on raster of 7320x6120.

qgsrasterlayer.cpp:4605 Setting gray band to : 0x8cb3b7a

ERROR 5: Access window out of range in [[RasterIO]]().  Requested

(6840,5093) of size 441x1067 on raster of 7280x6160.

ERROR 5: Access window out of range in [[RasterIO]]().  Requested

(120,5213) of size 7201x907 on raster of 7320x6120.

qgsrasterlayer.cpp:4605 Setting gray band to : 0x8472a7a
Debug: qgslabel.cpp:607 [[QgsLabel]]::readXML() got node labelattributes

Warning: [[QgsSpatialRefSys]]::getRecord failed :  select * from tbl_srs

where parameters='+proj=tmerc +lat_0=0 +lon_0=9 +k=0.999600 +x_0=1500000

+y_0=0 +ellps=intl +towgs84=-104.1,-49.1,-9.9,0.971,-2.917,0.714,-11.68

+units=m +no_defs'

Warning: [[QgsSpatialRefSys]]::getRecord failed :  select * from tbl_srs

where parameters='+proj=tmerc +lat_0=0 +lon_0=9 +k=0.999600 +x_0=1500000

+y_0=0 +ellps=intl +towgs84=-104.1,-49.1,-9.9,0.971,-2.917,0.714,-11.68

+units=m +no_defs'

qgsrasterlayer.cpp:4605 Setting gray band to : 0x8ffb85a

Debug: qgslabel.cpp:607 [[QgsLabel]]::readXML() got node labelattributes

Warning: [[QgsSpatialRefSys]]::getRecord failed :  select * from tbl_srs

where parameters='+proj=tmerc +lat_0=0 +lon_0=9 +k=0.999600 +x_0=1500000

+y_0=0 +ellps=intl +towgs84=-104.1,-49.1,-9.9,0.971,-2.917,0.714,-11.68

+units=m +no_defs'

Warning: [[QgsSpatialRefSys]]::getRecord failed :  select * from tbl_srs

where parameters='+proj=tmerc +lat_0=0 +lon_0=9 +k=0.999600 +x_0=1500000

+y_0=0 +ellps=intl +towgs84=-104.1,-49.1,-9.9,0.971,-2.917,0.714,-11.68

+units=m +no_defs'

qgsrasterlayer.cpp:4605 Setting gray band to : 0x9002aba

Segmentation fault

History

#1 - 2006-12-19 11:58 AM - Gavin Macaulay -

Can you add a backtrace too please?

#2 - 2006-12-19 11:10 PM - Redmine Admin

sorry I do not have a debuggin version at hand. Anyway, can you test the attached qgs file and see if it crashes for you?

#3 - 2006-12-19 11:19 PM - Gavin Macaulay -

The problem is likely to be with one of the files that you are loading rather than the .qgs file itself, so a .qgs file doesn't help much. Perhaps you can try

loading/saving individual layers to determine while layer is causing the problem, and then posting that layer file and the .qgs file here.

#4 - 2006-12-21 03:54 AM - Redmine Admin

I think this is related to the custom projection we are using. We're further investigating on this.

#5 - 2006-12-21 08:16 AM - Redmine Admin

- Status changed from Open to Closed

- Resolution set to worksforme

Further testing did not show a consistent pattern. Rebuilding the project from scratch solved the problem. Still unsure, but better closing it, at least for now.
#6 - 2009-08-22 12:46 AM - Anonymous

Milestone Version 0.8 deleted

Files

afv_migl_2006_helo.qgs 39.2 KB 2006-12-19 Redmine Admin
